Get the webhook integration configuration for a source
curl --request GET \
--url https://api.closebot.com/agency/source/{sourceId}/webhook-integration \
--header 'X-CB-KEY: <api-key>'import requests
url = "https://api.closebot.com/agency/source/{sourceId}/webhook-integration"
headers = {"X-CB-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-CB-KEY': '<api-key>'}};
fetch('https://api.closebot.com/agency/source/{sourceId}/webhook-integration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"configured": true,
"requireAccessToken": true,
"inbound": {
"contactIdPath": "<string>",
"bodyPath": "<string>",
"attachmentsPath": "<string>",
"statePath": "<string>",
"contactFieldPaths": {}
},
"filterKey": {
"path": "<string>",
"expectedValue": "<string>"
},
"outboundMode": "<string>",
"sendMessageTemplate": {
"method": "<string>",
"url": "<string>",
"headers": [
{
"name": "<string>",
"value": "<string>"
}
],
"bodyTemplate": "<string>"
},
"setFieldTemplate": {
"method": "<string>",
"url": "<string>",
"headers": [
{
"name": "<string>",
"value": "<string>"
}
],
"bodyTemplate": "<string>"
},
"getContactTemplate": {
"method": "<string>",
"url": "<string>",
"headers": [
{
"name": "<string>",
"value": "<string>"
}
],
"bodyTemplate": "<string>"
},
"contactFieldResponsePaths": {},
"webhookCallbackUri": "<string>",
"hasExternalApiKey": true,
"listenUntil": "2023-11-07T05:31:56Z",
"contactFieldDescriptors": [
"<string>"
],
"lastTestResults": {},
"selectedSampleEventId": 123
}Source
Get the webhook integration configuration for a source
Returns the setup wizard configuration. The external API key itself is never returned, only whether one is saved.
GET
/
agency
/
source
/
{sourceId}
/
webhook-integration
Get the webhook integration configuration for a source
Authorizations
CloseBot API Key Authorization
Path Parameters
The source ID.
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

